"{ Package: 'stx:goodies/monticello' }"

ListItemWrapper subclass:#MCDependentsWrapper
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Monticello-UI'
!


!MCDependentsWrapper methodsFor:'as yet unclassified'!

asString
	^item description
!

contents
	| list workingCopies |
	workingCopies := model unsortedWorkingCopies.
	list := item requiredPackages collect: 
					[:each | 
					workingCopies detect: [:wc | wc package = each] ifNone: [nil]]
				thenSelect: [:x | x notNil].
	^list collect: [:each | self class with: each model: model]
!

hasContents
	^item requiredPackages isEmpty not
!

item
	^item
! !

!MCDependentsWrapper class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/goodies/monticello/MCDependentsWrapper.st,v 1.1 2006-11-22 13:24:33 cg Exp $'
! !
